%define name    handbrake
%define lname   HandBrake
%define version 0.10.2
%define release %mkrel 1
%define Summary DVD to MPEG-4 converter
%define ename	%{lname}CLI
%define major		1
%define libname		%mklibname %name %major
%define libnamedev	%mklibname %name %major -d

Summary:        %Summary
Summary(de):	DVD nach MPEG-4-Konverter.
Name:           %name
Version:        %version
Release:        %release
License:        GPL
Group:          Video
URL:            http://handbrake.fr/
Source0:        HandBrake-%{version}.tar.xz
Source1:	fdk-aac-v0.1.1-6-gbae4553.tar.bz2
Source2:	libav-v10.1.tar.bz2
Source3:	libbluray-0.5.0.tar.bz2
Source4:	libdvdnav-5.0.1-0-gaa3659d.tar.gz
Source5:	libdvdread-5.0.0-6-gcb1ae87.tar.gz
Source6:	libvpx-v1.3.0.tar.bz2
Source7:	x265-9329-0d30d2641875-1.5.tar.bz2
BuildRoot:      %_tmppath/%name-%version-buildroot
BuildRequires:	yasm 
BuildRequires:	zlib1-devel 
BuildRequires:	docbook-dtd31-sgml >= 1.0 
BuildRequires:	docbook-to-man >= 2.0.0 
BuildRequires:	lynx >= 2.8.7
BuildRequires:  iso-codes 
BuildRequires:	libtheora-devel 
BuildRequires:	%{_lib}gtkhtml-3.14-devel
BuildRequires:  %{_lib}pango1.0-devel 
BuildRequires:	%{_lib}gdk_pixbuf2.0_0-devel
BuildRequires:  %{_lib}gstreamer-plugins-base0.10-devel 
BuildRequires:	%{_lib}notify-devel 
BuildRequires:	%{_lib}fribidi-devel
BuildRequires:  %{_lib}gstreamer0.10_0.10-devel 
BuildRequires:	%{_lib}webkitgtk1.0-devel 
BuildRequires:	%{_lib}gudev1.0-devel
Obsoletes:	handbrakegtk
Requires:       %{_lib}icu51
Requires:	gtk+3.0

%description
HandBrake is an open-source, GPL-licensed, multiplatform,
multithreaded DVD to MPEG-4 converter, available for MacOS
X, Linux and Windows. It is a video encoder that takes your
movies and transfers them to a format that's useful on your
computers, media centers, and portable electronic devices.

#german
%description -l de
HandBrake ist ein Open-Source, GPL-lizensierter, Multiplattform,
multithreaded DVD zu MPEG-4-Konverter, verfügbar für Mac OS X,
Linux und Windows. Es ist ein Video-Encoder, der Ihre Filme in
das MPEG-4 Format schrumpft, welche Platz sparend auf
Computer-, Medien-Zentren, und tragbaren elektronischen
Geräten.


%prep
%setup -q -n %{lname}-%{version}

mkdir -p download
for f in \
%{S:1} %{S:2} %{S:3} \
%{S:4} %{S:5} %{S:6} %{S:7} \
; do
  cp "$f" download/
done


%build
./configure --prefix=/usr --force --debug=std

cd build 
make
#cd .


%install
rm -rf %buildroot
cd build
%makeinstall_std

install -m 0755 HandBrakeCLI %buildroot/%_bindir/HandBrakeCLI

sed -i -e "s|hb-icon|hb-icon.png|" $RPM_BUILD_ROOT%{_datadir}/applications/ghb.desktop

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Multimedia-Video" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

rm -rf $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/icon-theme.cache

%post
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

%postun
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc AUTHORS COPYING CREDITS NEWS THANKS TRANSLATIONS
%_bindir/*
%_datadir/applications/*
%_datadir/icons/hicolor
%_datadir/locale


%changelog
* Thu Aug 20 2015 bb <bb> 0.10.2-1pclos2015
- update
